%global momorel 3

Summary: Email-Address module for perl 
Name: perl-Email-Address
Version: 1.889
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/Email/Email-Address-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/Email/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.8
BuildArch: noarch

%description
Email-Address module for perl

%prep
%setup -q -n Email-Address-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > Email-Address-%{version}-filelist
if [ "$(cat Email-Address-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean 
rm -rf %{buildroot}

%files -f Email-Address-%{version}-filelist
%defattr(-,root,root)
%doc Changes README*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.889-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.889-2m)
- rebuild against gcc43

* Sat Dec 22 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.889-1m)
- update to 1.889

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.888-1m)
- update to 1.888

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (1.887-2m)
- use vendor

* Mon Apr  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.887-1m)
- update to 1.887

* Sat Mar  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.886-1m)
- update to 1.886

* Fri Mar  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.885-1m)
- update to 1.885

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.883-1m)
- update to 1.883

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.880-1m)
- update to 1.880

* Wed Nov  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.871-1m)
- update to 1.871

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.870-1m)
- spec file was autogenerated
